> ## Documentation Index
> Fetch the complete documentation index at: https://docs-beta.layerfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create tag value

> Creates a new tag value definition for a specific tag dimension.



## OpenAPI

````yaml post /v1/businesses/{businessId}/tags/dimensions/{dimensionId}/values
openapi: 3.0.1
info:
  title: API
  version: latest
servers: []
security:
  - BearerAuth: []
tags: []
externalDocs:
  url: /
paths:
  /v1/businesses/{businessId}/tags/dimensions/{dimensionId}/values:
    post:
      tags: []
      summary: Create tag value
      description: Creates a new tag value definition for a specific tag dimension.
      operationId: business.tags.dimensions.dimension.values.post
      parameters:
        - name: businessId
          in: path
          description: The UUID of the business
          required: true
          schema:
            type: string
            format: uuid
        - name: dimensionId
          in: path
          description: The UUID of the tag dimension to create value for
          required: true
          schema:
            type: string
            format: uuid
        - name: Content-Type
          in: header
          description: Content-Type must be set to application/json
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApiTagValueDefinitionCreateParams'
      responses:
        '200':
          description: Tag value definition already exists
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTagValueDefinition'
        '201':
          description: Tag value definition created successfully
          headers: {}
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiTagValueDefinition'
        '400':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
        '404':
          description: Business or tag dimension not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      deprecated: false
components:
  schemas:
    ApiTagValueDefinitionCreateParams:
      type: object
      properties:
        value:
          type: string
          description: >-
            Label for the tag value definition. The value for each tag key-value
            pair
        is_archived:
          type: boolean
          description: Whether the tag value definition should be archived
      required:
        - value
    ApiTagValueDefinition:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Unique identifier for the tag value definition
        key:
          type: string
          description: The tag dimension key
        value:
          type: string
          description: The tag value
        display_name:
          type: string
          nullable: true
          description: Optional display name for the tag value definition
        archived_at:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when the tag value definition was archived
      required:
        - id
        - key
        - value
    ApiError:
      type: object
      properties: {}
      example: ''
      description: ''
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````